Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.servlet
Class FilterHolder.Registration

    java.lang.Object
      org.eclipse.jetty.servlet.Holder.HolderRegistration
          org.eclipse.jetty.servlet.FilterHolder.Registration

All Implemented Interfaces:
  FilterRegistration, FilterRegistration.Dynamic, Registration, Registration.Dynamic

Enclosing class:
  FilterHolder

    protected class FilterHolder.Registration

extends Holder.HolderRegistration
implements FilterRegistration.Dynamic

Nested Class Summary

Nested classes/interfaces inherited from interface javax.servlet.FilterRegistration
`FilterRegistration.Dynamic`

Constructor Summary
`protected` | `FilterHolder.Registration()`

Method Summary
`void` | `addMappingForServletNames(java.util.EnumSet<DispatcherType> dispatcherTypes, boolean isMatchAfter, java.lang.String... servletNames)` Adds a filter mapping with the given servlet names and dispatcher types for the Filter represented by this FilterRegistration.
`void` | `addMappingForUrlPatterns(java.util.EnumSet<DispatcherType> dispatcherTypes, boolean isMatchAfter, java.lang.String... urlPatterns)` Adds a filter mapping with the given url patterns and dispatcher types for the Filter represented by this FilterRegistration.
`java.util.Collection<java.lang.String>` | `getServletNameMappings()` Gets the currently available servlet name mappings of the Filter represented by this `FilterRegistration`.
`java.util.Collection<java.lang.String>` | `getUrlPatternMappings()` Gets the currently available URL pattern mappings of the Filter represented by this `FilterRegistration`.

Methods inherited from class org.eclipse.jetty.servlet.Holder.HolderRegistration
`getClassName, getInitParameter, getInitParameters, getName, setAsyncSupported, setDescription, setInitParameter, setInitParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.Registration.Dynamic
`setAsyncSupported`

Methods inherited from interface javax.servlet.Registration
`getClassName, getInitParameter, getInitParameters, getName, setInitParameter, setInitParameters`

Constructor Detail

### FilterHolder.Registration

    protected FilterHolder.Registration()

Method Detail

### addMappingForServletNames

    public void addMappingForServletNames(java.util.EnumSet<DispatcherType> dispatcherTypes,
                                          boolean isMatchAfter,
                                          java.lang.String... servletNames)

  Description copied from interface: `FilterRegistration`
  Adds a filter mapping with the given servlet names and dispatcher types for the Filter represented by this FilterRegistration.

  Filter mappings are matched in the order in which they were added.

  Depending on the value of the `isMatchAfter` parameter, the given filter mapping will be considered after or before any declared filter mappings of the ServletContext from which this FilterRegistration was obtained.

  If this method is called multiple times, each successive call adds to the effects of the former.

  Specified by:
    `addMappingForServletNames` in interface `FilterRegistration`
  Parameters:
    `dispatcherTypes` - the dispatcher types of the filter mapping, or null if the default `DispatcherType.REQUEST` is to be used
    `isMatchAfter` - true if the given filter mapping should be matched after any declared filter mappings, and false if it is supposed to be matched before any declared filter mappings of the ServletContext from which this FilterRegistration was obtained
    `servletNames` - the servlet names of the filter mapping

### addMappingForUrlPatterns

    public void addMappingForUrlPatterns(java.util.EnumSet<DispatcherType> dispatcherTypes,
                                         boolean isMatchAfter,
                                         java.lang.String... urlPatterns)

  Description copied from interface: `FilterRegistration`
  Adds a filter mapping with the given url patterns and dispatcher types for the Filter represented by this FilterRegistration.

  Filter mappings are matched in the order in which they were added.

  Depending on the value of the `isMatchAfter` parameter, the given filter mapping will be considered after or before any declared filter mappings of the ServletContext from which this FilterRegistration was obtained.

  If this method is called multiple times, each successive call adds to the effects of the former.

  Specified by:
    `addMappingForUrlPatterns` in interface `FilterRegistration`
  Parameters:
    `dispatcherTypes` - the dispatcher types of the filter mapping, or null if the default `DispatcherType.REQUEST` is to be used
    `isMatchAfter` - true if the given filter mapping should be matched after any declared filter mappings, and false if it is supposed to be matched before any declared filter mappings of the ServletContext from which this FilterRegistration was obtained
    `urlPatterns` - the url patterns of the filter mapping

### getServletNameMappings

    public java.util.Collection<java.lang.String> getServletNameMappings()

  Description copied from interface: `FilterRegistration`
  Gets the currently available servlet name mappings of the Filter represented by this `FilterRegistration`.

  Any changes to the returned `Collection` must not affect this `FilterRegistration`.

  Specified by:
    `getServletNameMappings` in interface `FilterRegistration`
  Returns:
    a (possibly empty) `Collection` of the currently available servlet name mappings of the Filter represented by this `FilterRegistration`

### getUrlPatternMappings

    public java.util.Collection<java.lang.String> getUrlPatternMappings()

  Description copied from interface: `FilterRegistration`
  Gets the currently available URL pattern mappings of the Filter represented by this `FilterRegistration`.

  Any changes to the returned `Collection` must not affect this `FilterRegistration`.

  Specified by:
    `getUrlPatternMappings` in interface `FilterRegistration`
  Returns:
    a (possibly empty) `Collection` of the currently available URL pattern mappings of the Filter represented by this `FilterRegistration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.